<?php if (!defined('PmWiki')) exit();
/**
 * version.php
 * @author V.Krishn (vkrishn@insteps.net), Copyright 2005-2023
 * @note This file is part of Cookbook recipe "Infobox" for PmWiki;
 * You can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the  Free Software
 * Foundation; either version 2 of the License, or (at your option)
 * any later version. @see pmwiki.php for full details.
 * @package infobox
 */

/**
 * @note Array for all modules/cookbook
 */
    global $cookbook;

    $prefix = 'infobox';
    $cookbook[$prefix]['name'] = 'infobox';
    $cookbook[$prefix]['version'] = '2.4.1';
    $cookbook[$prefix]['versionnum'] = '2004001';
    $cookbook[$prefix]['description'][] = "Bubblehelp infoboxes for PmWiki";
    $cookbook[$prefix]['date']['datenum'] = '20230210';
    $cookbook[$prefix]['dependencies']['php']['version'] = "5.6.40";
    $cookbook[$prefix]['dependencies']['pmwiki']['version'] = "2.2.122x";
    $cookbook[$prefix]['author']['name'] = 'V.Krishn';
    $cookbook[$prefix]['author']['resource'][] = "http://www.insteps.net";
    $cookbook[$prefix]['author']['email'][] = 'webmaster@insteps.net';
    $cookbook[$prefix]['contributors']['1']['name'] = "Klaus Knopper";
    $cookbook[$prefix]['contributors']['1']['resource'] = "http://www.knoppix.org";
    $cookbook[$prefix]['contributors']['1']['email'] = "infobox@knopper.net";
    $cookbook[$prefix]['comment'][] = "Compatible with PmWiki 2.2.x";
    $cookbook[$prefix]['licence'][] = "GNU General Public License";

    /**
     * Cookbook guideline variable
     * @see http://www.pmwiki.org/wiki/Cookbook/ModuleGuidelines
    */
     $RecipeInfo[$prefix]['Version'] = $cookbook[$prefix]['version'];

/**
 * @note Variable/markup to use/display within wiki
 */
    // format "infobox-2.1.1-20100112"
    $infoboxVersion =
        $cookbook[$prefix]['name']."-".$cookbook[$prefix]['version']. '-'.$cookbook[$prefix]['date']['datenum'];
    $FmtPV['$infoboxVersion'] = "'$infoboxVersion'";
    //$FmtPV['$infoboxVersion'] = '$GLOBALS["infoboxVersion"]';

    $Infobox['version'] = $cookbook[$prefix]['version'];
    $Infobox['versionnum'] = $cookbook[$prefix]['versionnum'];

